---
references:
- id: BaggeCarlsonMachine2018
  accessed:
    - year: 2020
      month: 6
      day: 18
  author:
    - family: Bagge Carlson
      given: Fredrik
  citation-key: BaggeCarlsonMachine2018
  genre: thesis/docmono
  ISBN: 9789177539209 9789177539216
  ISSN: 0280-5316
  issued:
    - year: 2018
  language: eng
  publisher: Lund University
  title: >-
    Machine Learning and System Identification for Estimation in Physical
    Systems
  type: thesis
  URL: http://lup.lub.lu.se/record/ffb8dc85-ce12-4f75-8f2b-0881e492f6c0

- id: BellecStudy2017
  author:
    - family: Bellec
      given: Pierre C.
    - family: Lecué
      given: Guillaume
    - family: Tsybakov
      given: Alexandre B.
  citation-key: BellecStudy2017
  container-title: arXiv:1701.09120 [math, stat]
  issued:
    - year: 2017
      month: 1
      day: 31
  title: Towards the study of least squares estimators with convex penalty
  type: article-journal
  URL: http://arxiv.org/abs/1701.09120

- id: BhardwajNoncommutative2021
  accessed:
    - year: 2023
      month: 3
      day: 7
  author:
    - family: Bhardwaj
      given: Abhishek
    - family: Klep
      given: Igor
    - family: Magron
      given: Victor
  citation-key: BhardwajNoncommutative2021
  issued:
    - year: 2021
      month: 9
      day: 2
  language: en
  number: arXiv:2109.00786
  publisher: arXiv
  title: Noncommutative Polynomial Optimization
  type: article
  URL: http://arxiv.org/abs/2109.00786

- id: BoydJulia2021
  accessed:
    - year: 2022
      month: 3
      day: 1
  author:
    - family: Boyd
      given: Stephen
    - family: Vandenberghe
      given: Lieven
  citation-key: BoydJulia2021
  DOI: 10.1017/9781108583664
  edition: '1'
  issued:
    - year: 2021
      month: 3
      day: 28
  language: en
  publisher: Cambridge University Press
  title: >-
    Julia Companion to Introduction to Applied Linear Algebra: Vectors,
    Matrices, and Least Squares
  type: book

- id: ButerinFlexible2019
  accessed:
    - year: 2021
      month: 9
      day: 6
  author:
    - family: Buterin
      given: Vitalik
    - family: Hitzig
      given: Zoë
    - family: Weyl
      given: E. Glen
  citation-key: ButerinFlexible2019
  container-title: Management Science
  DOI: 10.1287/mnsc.2019.3337
  ISSN: 0025-1909
  issue: '11'
  issued:
    - year: 2019
      month: 11
      day: 1
  page: 5171-5187
  publisher: INFORMS
  title: A Flexible Design for Funding Public Goods
  type: article-journal
  volume: '65'

- id: CharlierKernel2021
  accessed:
    - year: 2022
      month: 9
      day: 28
  author:
    - family: Charlier
      given: Benjamin
    - family: Feydy
      given: Jean
    - family: Glaunès
      given: Joan Alexis
    - family: Collin
      given: François-David
    - family: Durif
      given: Ghislain
  citation-key: CharlierKernel2021
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '74'
  issued:
    - year: 2021
  page: 1-6
  title: Kernel Operations on the GPU, with Autodiff, without Memory Overflows
  type: article-journal
  URL: http://jmlr.org/papers/v22/20-275.html
  volume: '22'

- id: ChartrandIteratively2008
  author:
    - family: Chartrand
      given: R.
    - family: Yin
      given: Wotao
  citation-key: ChartrandIteratively2008
  container-title: >-
    IEEE International Conference on Acoustics, Speech and Signal Processing,
    2008. ICASSP 2008
  DOI: 10.1109/ICASSP.2008.4518498
  event-title: >-
    IEEE International Conference on Acoustics, Speech and Signal Processing,
    2008. ICASSP 2008
  issued:
    - year: 2008
      month: 3
  page: 3869-3872
  title: Iteratively reweighted algorithms for compressive sensing
  type: paper-conference

- id: ChatlaModeling2016
  accessed:
    - year: 2016
      month: 10
      day: 29
  author:
    - family: Chatla
      given: Suneel Babu
    - family: Shmueli
      given: Galit
  citation-key: ChatlaModeling2016
  container-title: arXiv:1610.08244 [stat]
  issued:
    - year: 2016
      month: 10
      day: 26
  title: 'Modeling Big Count Data: An IRLS Framework for CMP Regression and GAM'
  type: article-journal
  URL: http://arxiv.org/abs/1610.08244

- id: ChenComplexity2012
  accessed:
    - year: 2016
      month: 7
      day: 13
  author:
    - family: Chen
      given: Xiaojun
    - family: Ge
      given: Dongdong
    - family: Wang
      given: Zizhuo
    - family: Ye
      given: Yinyu
  citation-key: ChenComplexity2012
  container-title: Mathematical Programming
  container-title-short: Math. Program.
  DOI: 10.1007/s10107-012-0613-0
  ISSN: 0025-5610, 1436-4646
  issue: 1-2
  issued:
    - year: 2012
      month: 11
      day: 30
  language: en
  page: 371-383
  title: Complexity of unconstrained L_2-L_p
  type: article-journal
  URL: https://www.polyu.edu.hk/ama/staff/xjchen/Chen_Ge_Wang_Ye2014.pdf
  volume: '143'

- id: ChenLevenberg2013
  accessed:
    - year: 2022
      month: 2
      day: 23
  author:
    - family: Chen
      given: Yan
    - family: Oliver
      given: Dean S.
  citation-key: ChenLevenberg2013
  container-title: Computational Geosciences
  container-title-short: Comput Geosci
  DOI: 10.1007/s10596-013-9351-5
  ISSN: 1573-1499
  issue: '4'
  issued:
    - year: 2013
      month: 8
      day: 1
  language: en
  page: 689-703
  title: >-
    Levenberg–Marquardt forms of the iterative ensemble smoother for efficient
    history matching and uncertainty quantification
  type: article-journal
  volume: '17'

- id: FlammarionStochastic
  author:
    - family: Flammarion
      given: Nicolas
  citation-key: FlammarionStochastic
  language: en
  page: '305'
  title: >-
    Stochastic approximation and least-squares regression, with applications to
    machine learning
  type: article-journal

- id: FlammarionStochastic2017
  author:
    - family: Flammarion
      given: Nicolas
    - family: Bach
      given: Francis
  citation-key: FlammarionStochastic2017
  container-title: arXiv:1702.06429 [math, stat]
  issued:
    - year: 2017
      month: 2
      day: 21
  title: Stochastic Composite Least-Squares Regression with convergence rate O(1/n)
  type: article-journal
  URL: http://arxiv.org/abs/1702.06429

- id: FriedmanPathwise2007
  accessed:
    - year: 2015
      month: 3
      day: 20
  author:
    - family: Friedman
      given: Jerome
    - family: Hastie
      given: Trevor
    - family: Höfling
      given: Holger
    - family: Tibshirani
      given: Robert
  citation-key: FriedmanPathwise2007
  container-title: The Annals of Applied Statistics
  container-title-short: Ann. Appl. Stat.
  DOI: 10.1214/07-AOAS131
  ISSN: 1932-6157, 1941-7330
  issue: '2'
  issued:
    - year: 2007
      month: 12
  language: EN
  page: 302-332
  title: Pathwise coordinate optimization
  type: article-journal
  volume: '1'

- id: FriedmanRegularization2010
  accessed:
    - year: 2015
      month: 3
      day: 20
  author:
    - family: Friedman
      given: Jerome
    - family: Hastie
      given: Trevor
    - family: Tibshirani
      given: Rob
  citation-key: FriedmanRegularization2010
  container-title: Journal of statistical software
  container-title-short: J Stat Softw
  DOI: 10.18637/jss.v033.i01
  ISSN: 1548-7660
  issue: '1'
  issued:
    - year: 2010
  page: 1-22
  PMCID: PMC2929880
  PMID: '20808728'
  title: Regularization Paths for Generalized Linear Models via Coordinate Descent
  type: article-journal
  URL: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2929880/
  volume: '33'

- id: FriedmanStochastic2002
  accessed:
    - year: 2014
      month: 10
      day: 29
  author:
    - family: Friedman
      given: Jerome H.
  citation-key: FriedmanStochastic2002
  collection-title: Nonlinear Methods and Data Mining
  container-title: Computational Statistics & Data Analysis
  container-title-short: Computational Statistics & Data Analysis
  DOI: 10.1016/S0167-9473(01)00065-2
  ISSN: 0167-9473
  issue: '4'
  issued:
    - year: 2002
      month: 2
      day: 28
  page: 367-378
  title: Stochastic gradient boosting
  type: article-journal
  URL: https://statweb.stanford.edu/~jhf/ftp/stobst.pdf
  volume: '38'

- id: GassoRecovering2009
  author:
    - family: Gasso
      given: G.
    - family: Rakotomamonjy
      given: A.
    - family: Canu
      given: S.
  citation-key: GassoRecovering2009
  container-title: IEEE Transactions on Signal Processing
  DOI: 10.1109/TSP.2009.2026004
  ISSN: 1053-587X
  issue: '12'
  issued:
    - year: 2009
      month: 12
  page: 4686-4698
  title: >-
    Recovering Sparse Signals With a Certain Family of Nonconvex Penalties and
    DC Programming
  type: article-journal
  URL: http://core.ac.uk/download/pdf/19691.pdf
  volume: '57'

- id: GolubMatrices2010
  accessed:
    - year: 2023
      month: 4
      day: 26
  author:
    - family: Golub
      given: Gene H.
    - family: Meurant
      given: Gérard
  citation-key: GolubMatrices2010
  event-place: USA
  ISBN: 978-0-691-14341-5
  issued:
    - year: 2010
  publisher: Princeton University Press
  publisher-place: USA
  title: Matrices, Moments and Quadrature with Applications
  type: book
  URL: https://www.jstor.org/stable/j.ctt7tbvs

- id: GyorfiDistributionfree2002
  call-number: QA278.2 .D57 2002
  citation-key: GyorfiDistributionfree2002
  collection-title: Springer series in statistics
  editor:
    - family: Györfi
      given: László
  event-place: New York
  ISBN: 978-0-387-95441-7
  issued:
    - year: 2002
  number-of-pages: '647'
  publisher: Springer
  publisher-place: New York
  title: A distribution-free theory of nonparametric regression
  type: book

- id: HuangDeepLM2021
  accessed:
    - year: 2022
      month: 3
      day: 1
  author:
    - family: Huang
      given: Jingwei
    - family: Huang
      given: Shan
    - family: Sun
      given: Mingwei
  citation-key: HuangDeepLM2021
  container-title: 2021 IEEE/CVF Conference on Computer Vision and Pattern Recognition (CVPR)
  DOI: 10.1109/CVPR46437.2021.01017
  event-place: Nashville, TN, USA
  event-title: 2021 IEEE/CVF Conference on Computer Vision and Pattern Recognition (CVPR)
  ISBN: 978-1-66544-509-2
  issued:
    - year: 2021
      month: 6
  language: en
  page: 10303-10312
  publisher: IEEE
  publisher-place: Nashville, TN, USA
  title: >-
    DeepLM: Large-scale Nonlinear Least Squares on Deep Learning Frameworks
    using Stochastic Domain Decomposition
  type: paper-conference

- id: JatavallabhulaSLAM2020
  accessed:
    - year: 2022
      month: 2
      day: 28
  author:
    - family: Jatavallabhula
      given: Krishna Murthy
    - family: Iyer
      given: Ganesh
    - family: Paull
      given: Liam
  citation-key: JatavallabhulaSLAM2020
  container-title: 2020 IEEE International Conference on Robotics and Automation (ICRA)
  DOI: 10.1109/ICRA40945.2020.9197519
  event-place: Paris, France
  event-title: 2020 IEEE International Conference on Robotics and Automation (ICRA)
  ISBN: 978-1-72817-395-5
  issued:
    - year: 2020
      month: 5
  language: en
  page: 2130-2137
  publisher: IEEE
  publisher-place: Paris, France
  title: '∇SLAM: Dense SLAM meets Automatic Differentiation'
  type: paper-conference

- id: KarampatziakisOnline2010
  author:
    - family: Karampatziakis
      given: Nikos
    - family: Langford
      given: John
  citation-key: KarampatziakisOnline2010
  container-title: arXiv:1011.1576 [cs]
  issued:
    - year: 2010
      month: 11
      day: 6
  title: Online Importance Weight Aware Updates
  type: article-journal
  URL: http://arxiv.org/abs/1011.1576

- id: LeungPython2019
  accessed:
    - year: 2022
      month: 2
      day: 28
  author:
    - family: Leung
      given: Jessica
    - family: Matsypura
      given: Dmytro
  citation-key: LeungPython2019
  issued:
    - year: 2019
      month: 11
      day: 13
  language: en_US
  title: >-
    Python Language Companion to Introduction to Applied Linear Algebra:
    Vectors, Matrices, and Least Squares
  type: book
  URL: https://ses.library.usyd.edu.au/handle/2123/21370

- id: MadsenMethods2004
  author:
    - family: Madsen
      given: K
    - family: Nielsen
      given: H.B.
    - family: Tingleff
      given: O.
  citation-key: MadsenMethods2004
  issued:
    - year: 2004
  title: Methods for non-linear least squares problems
  type: report
  URL: http://www2.imm.dtu.dk/pubdb/views/edoc_download.php/3215/pdf/imm3215.pdf

- id: MahoneyRandomized2010
  accessed:
    - year: 2016
      month: 6
      day: 20
  author:
    - family: Mahoney
      given: Michael W.
  citation-key: MahoneyRandomized2010
  DOI: 10.1561/2200000035
  issued:
    - year: 2010
  language: en
  title: Randomized Algorithms for Matrices and Data
  type: book
  URL: http://arxiv.org/abs/1104.5557
  volume: '3'

- id: OrrIntroduction1996
  accessed:
    - year: 2016
      month: 9
      day: 15
  author:
    - family: Orr
      given: Mark JL
  citation-key: OrrIntroduction1996
  issued:
    - year: 1996
  publisher: Technical Report, Center for Cognitive Science, University of Edinburgh
  title: Introduction to radial basis function networks
  type: report
  URL: >-
    http://twyu2.synology.me/htdocs/class_2008_1/nn/Slides/Introduction%20to%20Radial%20Basis%20Function%20Networks%20(1996).pdf

- id: PortnoyGaussian1997
  accessed:
    - year: 2016
      month: 9
      day: 16
  author:
    - family: Portnoy
      given: Stephen
    - family: Koenker
      given: Roger
  citation-key: PortnoyGaussian1997
  container-title: Statistical Science
  container-title-short: Statist. Sci.
  DOI: 10.1214/ss/1030037960
  ISSN: 0883-4237, 2168-8745
  issue: '4'
  issued:
    - year: 1997
      month: 11
  page: 279-300
  title: >-
    The Gaussian hare and the Laplacian tortoise: computability of squared-error
    versus absolute-error estimators
  type: article-journal
  volume: '12'

- id: RheeUnbiased2015
  accessed:
    - year: 2016
      month: 10
      day: 17
  author:
    - family: Rhee
      given: Chang-Han
    - family: Glynn
      given: Peter W.
  citation-key: RheeUnbiased2015
  container-title: Operations Research
  container-title-short: Operations Research
  DOI: 10.1287/opre.2015.1404
  ISSN: 0030-364X
  issue: '5'
  issued:
    - year: 2015
      month: 8
      day: 17
  page: 1026-1043
  title: Unbiased Estimation with Square Root Convergence for SDE Models
  type: article-journal
  volume: '63'

- id: RossetPiecewise2007
  accessed:
    - year: 2015
      month: 3
      day: 20
  author:
    - family: Rosset
      given: Saharon
    - family: Zhu
      given: Ji
  citation-key: RossetPiecewise2007
  container-title: The Annals of Statistics
  container-title-short: Ann. Statist.
  DOI: 10.1214/009053606000001370
  ISSN: 0090-5364, 2168-8966
  issue: '3'
  issued:
    - year: 2007
      month: 7
  language: EN
  page: 1012-1030
  title: Piecewise linear regularized solution paths
  type: article-journal
  URL: http://arxiv.org/abs/0708.2197
  volume: '35'

- id: TranstrumGeometry2011
  author:
    - family: Transtrum
      given: Mark K
    - family: Machta
      given: Benjamin B
    - family: Sethna
      given: James P
  citation-key: TranstrumGeometry2011
  container-title: Physical Review E
  container-title-short: Phys. Rev. E
  DOI: 10.1103/PhysRevE.83.036701
  ISSN: 1539-3755, 1550-2376
  issue: '3'
  issued:
    - year: 2011
      month: 3
      day: 3
  page: '036701'
  title: >-
    The geometry of nonlinear least squares with applications to sloppy models
    and optimization
  type: article-journal
  URL: http://www.arxiv.org/abs/1010.1449
  volume: '83'

- id: YunCoordinate2009
  accessed:
    - year: 2015
      month: 5
      day: 29
  author:
    - family: Yun
      given: Sangwoon
    - family: Toh
      given: Kim-Chuan
  citation-key: YunCoordinate2009
  container-title: Computational Optimization and Applications
  container-title-short: Comput Optim Appl
  DOI: 10.1007/s10589-009-9251-8
  ISSN: 0926-6003, 1573-2894
  issue: '2'
  issued:
    - year: 2009
      month: 5
      day: 7
  language: en
  page: 273-307
  title: A coordinate gradient descent method for ℓ 1-regularized convex minimization
  type: article-journal
  volume: '48'
...
